Update snapshotCopy Pagepatch https://console.neon.tech/api/v2/projects/{project_id}/snapshots/{snapshot_id}Updates the specified snapshot.Path Paramsproject_idstringrequired^[a-z0-9-]{1,60}$The Neon project IDsnapshot_idstringrequired^[a-z0-9-]{1,60}$The snapshot IDBody ParamssnapshotobjectrequiredFields to update on the snapshot. Updatable fields include name and expires_at.snapshot objectResponses 200Successfully updated the snapshot defaultGeneral Error. The request may or may not be safe to retry, depending on the HTTP method, response status code, and whether a response was received. If no response is returned from the API, a network error or timeout likely occurred. In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results. The following HTTP methods are considered non-idempotent: POST, PATCH, DELETE, and PUT. Retrying these methods is generally not safe. The following methods are considered idempotent: GET, HEAD, and OPTIONS. Retrying these methods is safe in the event of a network error or timeout. Any request that returns a 503 Service Unavailable response is always safe to retry. Any request that returns a 423 Locked response is safe to retry. 423 Locked indicates that the resource is temporarily locked, for example, due to another operation in progress.Updated 2 months ago Delete snapshotRestore snapshotDid this page help you?YesNo